Subject: Re: bug#16832: 24.3.50; Emacs goes crazy when deleting lines

From: Eli Zaretskii <[email-masked]>
Date: Mon, 24 Feb 2014 18:28:12 +0200

> From: "Fabrice Niessen" <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 24 Feb 2014 11:58:13 +0100
> 
> > The screencast doesn't show which major mode is active in that buffer,
> > and which minor modes.  Can you tell?
> 
> Major mode: Org.

This alone is not enough, I guess the key is in one of the minor
modes.

> > Can you reproduce this in "emacs -Q"?  If so, please post a complete
> > recipe.
> 
> Not yet reproducible in a minimal Emacs file.
> 
> > FWIW, just visiting the file you attached and repeating C-k series
> > didn't reproduce the problem with today's trunk.
> 
> Though, one extra data point: switching to Text mode (instead of
> Org [1]) before pressing my C-k does NOT exhibit the problem...

Yes, but Org alone in "emacs -Q" is not enough, either.

One thing to try is to set debug-on-quit to a non-nil value, repeat
the steps to reproduce the problem, then type C-g.  If all goes well,
you should see a Lisp backtrace that might shed some light on this.

Thanks.